% generate the full-wave rectifier waveform
f1 = 60;  
inv = 1/f1; inc = 1/(80*f1); tnum = 3*inv;
t = 0:inc:tnum;
g1 = 120*sqrt(2)*sin(2*pi*f1*t);
g = abs(g1);
N = length(g);
%
% obtain the exponential Fourier series coefficients

num = 20;
for i = 1:num
     for m = 1:N
      cint(m) = exp(-j*2*pi*(i-1)*m/N)*g(m);
     end
  c(i) = sum(cint)/N;
end
cmag = abs(c);
cphase = angle(c);

%print dc value
disp('dc value of g(t)'); cmag(1)
% plot the magnitude and phase spectrum

f = (0:num-1)*60;
subplot(121), stem(f(1:5),cmag(1:5))
title('Amplitude Spectrum')
xlabel('Frequency, Hz')
subplot(122), stem(f(1:5),cphase(1:5))
title('Phase Spectrum')
xlabel('Frequency, Hz')